Bug 201024 - [patch] net-p2p/zetacoin: fix Qt dependencies, use makepatch
Summary: [patch] net-p2p/zetacoin: fix Qt dependencies, use makepatch
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-06-21 19:29 UTC by Andriy Voskoboinyk
Modified: 2015-07-15 21:00 UTC (History)
2 users (show)

See Also:
bhughes: maintainer-feedback+


Attachments
Patch.diff (7.04 KB, patch)
2015-06-21 19:29 UTC, Andriy Voskoboinyk
no flags Details | Diff
portlint.log (130 bytes, text/plain)
2015-06-21 19:31 UTC, Andriy Voskoboinyk
no flags Details
poudriere-9.3-i386.log (133.67 KB, text/plain)
2015-06-21 19:34 UTC, Andriy Voskoboinyk
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andriy Voskoboinyk freebsd_committer 2015-06-21 19:29:12 UTC
Created attachment 157950 [details]
Patch.diff

- Remove Qt build tools from runtime dependencies;
- Use qt4-linguisttools instead of qt4-linguist;
- Add explicit dependency on qt4-network;
- Regen patches.
Comment 1 Andriy Voskoboinyk freebsd_committer 2015-06-21 19:31:24 UTC
Created attachment 157951 [details]
portlint.log
Comment 2 Andriy Voskoboinyk freebsd_committer 2015-06-21 19:34:45 UTC
Created attachment 157952 [details]
poudriere-9.3-i386.log
Comment 3 Daniel Morante 2015-06-29 04:16:25 UTC
Is there any action needed by me?
Comment 4 Andriy Voskoboinyk freebsd_committer 2015-06-29 19:58:41 UTC
(In reply to Daniel Morante from comment #3)
Just check & say if all is ok (or set the maintainer‑feedback flag).
Comment 5 Daniel Morante 2015-07-12 06:15:29 UTC
Looks good to me.
Comment 6 Bradley T. Hughes freebsd_committer 2015-07-12 21:44:44 UTC
Uh... I have no idea how I set the maintainer-feedback flag.
Comment 7 Philip M. Gollucci freebsd_committer 2015-07-14 22:25:23 UTC
Take.
Comment 8 commit-hook freebsd_committer 2015-07-15 21:00:37 UTC
A commit references this bug:

Author: pgollucci
Date: Wed Jul 15 20:59:21 UTC 2015
New revision: 392225
URL: https://svnweb.freebsd.org/changeset/ports/392225

Log:
  net-p2p/zetacoin: cleanup

  - Remove Qt build tools from runtime dependencies;
  - Use qt4-linguisttools instead of qt4-linguist;
  - Add explicit dependency on qt4-network;
  - Regen patches.

  PR:                  201024
  Submitted by:        s3erios@gmail.com
  Approved by:         bradleythughes (maintainer)

Changes:
  head/net-p2p/zetacoin/Makefile
  head/net-p2p/zetacoin/files/patch-Makefile_include_editSedCommands.patch
  head/net-p2p/zetacoin/files/patch-qt_makefile_am_editSedCommands.patch
  head/net-p2p/zetacoin/files/patch-src_Makefile.include
  head/net-p2p/zetacoin/files/patch-src_qt_Makefile.am